com.atlassian.clover.api.registry

## Interface BlockMetrics

-     public interface BlockMetrics

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAvgTestExecutionTime()`
    `int` | `getComplexity()`
    `float` | `getComplexityDensity()`
    `int` | `getNumBranches()`
    `int` | `getNumCoveredBranches()`
    `int` | `getNumCoveredElements()`
    `int` | `getNumCoveredStatements()`
    `int` | `getNumElements()`
    `int` | `getNumStatements()`
    `int` | `getNumTestErrors()`
    `int` | `getNumTestFailures()`
    `int` | `getNumTestPasses()`
    `int` | `getNumTests()`
    `int` | `getNumTestsRun()`
    `int` | `getNumUncoveredElements()`
    `HasMetrics` | `getOwner()`
    `float` | `getPcCoveredBranches()`
    `float` | `getPcCoveredElements()`
    `float` | `getPcCoveredStatements()`
    `float` | `getPcTestErrors()`
    `float` | `getPcTestFailures()`
    `float` | `getPcTestPasses()`
    `float` | `getPcTestPassesFailures()`
    `float` | `getPcUncoveredElements()`
    `double` | `getTestExecutionTime()`
    `java.lang.String` | `getType()`
    `boolean` | `isEmpty()`

- - ### Method Detail

    - #### isEmpty

          boolean isEmpty()

    - #### getOwner

          HasMetrics getOwner()

    - #### getType

          java.lang.String getType()

    - #### getComplexity

          int getComplexity()

    - #### getComplexityDensity

          float getComplexityDensity()

    - #### getNumStatements

          int getNumStatements()

    - #### getNumCoveredStatements

          int getNumCoveredStatements()

    - #### getPcCoveredStatements

          float getPcCoveredStatements()

    - #### getNumBranches

          int getNumBranches()

    - #### getNumCoveredBranches

          int getNumCoveredBranches()

    - #### getPcCoveredBranches

          float getPcCoveredBranches()

    - #### getNumElements

          int getNumElements()

    - #### getNumCoveredElements

          int getNumCoveredElements()

    - #### getPcCoveredElements

          float getPcCoveredElements()

    - #### getNumUncoveredElements

          int getNumUncoveredElements()

    - #### getPcUncoveredElements

          float getPcUncoveredElements()

    - #### getNumTests

          int getNumTests()

    - #### getNumTestPasses

          int getNumTestPasses()

    - #### getNumTestFailures

          int getNumTestFailures()

    - #### getNumTestErrors

          int getNumTestErrors()

    - #### getNumTestsRun

          int getNumTestsRun()

    - #### getTestExecutionTime

          double getTestExecutionTime()

    - #### getAvgTestExecutionTime

          double getAvgTestExecutionTime()

    - #### getPcTestPasses

          float getPcTestPasses()

    - #### getPcTestErrors

          float getPcTestErrors()

    - #### getPcTestFailures

          float getPcTestFailures()

    - #### getPcTestPassesFailures

          float getPcTestPassesFailures()